Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class InvocationWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.InvocationWriter

    public class InvocationWriter
    extends java.lang.Object

Field Summary
`protected static MethodCaller` | `invokeClosureMethod`
`protected static MethodCallerMultiAdapter` | `invokeMethod`
`protected static MethodCallerMultiAdapter` | `invokeMethodOnCurrent`
`protected static MethodCallerMultiAdapter` | `invokeMethodOnSuper`
`protected static MethodCallerMultiAdapter` | `invokeStaticMethod`

Constructor Summary
`InvocationWriter(WriterController wc)`

Method Summary
`protected void` | `finnishConstructorCall(ConstructorNode cn, java.lang.String ownerDescriptor, int argsToRemove)`
`protected java.lang.String` | `getMethodName(Expression message)`
`protected void` | `loadArguments(java.util.List argumentList, Parameter[] para)`
`static ArgumentListExpression` | `makeArgumentList(Expression arguments)`
`void` | `makeCall(Expression origin, Expression receiver, Expression message, Expression arguments, MethodCallerMultiAdapter adapter, boolean safe, boolean spreadSafe, boolean implicitThis)`
`void` | `makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)`
`protected java.lang.String` | `prepareConstructorCall(ConstructorNode cn)`
`protected boolean` | `writeDirectMethodCall(MethodNode target, boolean implicitThis, Expression receiver, TupleExpression args)`
`void` | `writeInvokeConstructor(ConstructorCallExpression call)`
`void` | `writeInvokeMethod(MethodCallExpression call)`
`void` | `writeInvokeStaticMethod(StaticMethodCallExpression call)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### invokeClosureMethod

    protected static final MethodCaller invokeClosureMethod

### invokeMethod

    protected static final MethodCallerMultiAdapter invokeMethod

### invokeMethodOnCurrent

    protected static final MethodCallerMultiAdapter invokeMethodOnCurrent

### invokeMethodOnSuper

    protected static final MethodCallerMultiAdapter invokeMethodOnSuper

### invokeStaticMethod

    protected static final MethodCallerMultiAdapter invokeStaticMethod

Constructor Detail

### InvocationWriter

    public InvocationWriter(WriterController wc)

Method Detail

### finnishConstructorCall

    protected void finnishConstructorCall(ConstructorNode cn, java.lang.String ownerDescriptor, int argsToRemove)

### getMethodName

    protected java.lang.String getMethodName(Expression message)

### loadArguments

    protected void loadArguments(java.util.List argumentList, Parameter[] para)

### makeArgumentList

    public static ArgumentListExpression makeArgumentList(Expression arguments)

### makeCall

    public void makeCall(Expression origin, Expression receiver, Expression message, Expression arguments, MethodCallerMultiAdapter adapter, boolean safe, boolean spreadSafe, boolean implicitThis)

### makeSingleArgumentCall

    public void makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)

### prepareConstructorCall

    protected java.lang.String prepareConstructorCall(ConstructorNode cn)

### writeDirectMethodCall

    protected boolean writeDirectMethodCall(MethodNode target, boolean implicitThis, Expression receiver, TupleExpression args)

### writeInvokeConstructor

    public void writeInvokeConstructor(ConstructorCallExpression call)

### writeInvokeMethod

    public void writeInvokeMethod(MethodCallExpression call)

### writeInvokeStaticMethod

    public void writeInvokeStaticMethod(StaticMethodCallExpression call)

Groovy Documentation